{% extends 'base.html' %}
{% load static %}

{% block sidebar %}
{% endblock sidebar %}

{% block content-title %}
<div class="row">
  <nav title="breadcrumb">
    <ol class="breadcrumb">
      <li class="breadcrumb-item" aria-current="page"><a href="{% url 'devices:devicelist' %}">Device List</a></li>
    </ol>
  </nav>
</div>
{% endblock content-title %}

{% block content %}
<table id="devices" class="table table-light table-striped table-borderless table-hover table-editable">
      <thead>
        <tr>
            <th>ID</th>
            <th>Name</th>
            <th>Network</th>
            <th>Salt Key Status</th>
            <th>Serial</th>
        </tr>
        </thead>
      <tbody>
        {% for device in devices %}
        <tr>
            <th>{{ device.id }}</th>
            <th scope="row" class="center-row">
                <span class="name-field">{{ device.name }}</span>
                <a href="{% url 'devices:devicedetails' %}" class="btn btn-outline-success copy-button">Details</a>
                <!--<a href="{% url 'devices:devicedetails' %}" class="btn btn-outline-success copy-button">Details</a>-->
            </th>
            <th>{{ device.network }}</th>
            <th>{{ device.salt_key_status }}</th>
            <th>{{ device.serial }}</th>
        </tr>
        {% endfor %}
    </tbody>
</table>

{% endblock content %}

{% block javascript %}
<script src="{% static 'devices/js/devices.js' %}"></script>
{% endblock javascript %}